Struct = function()
{
	this.m_list = new Array();
	this.m_root = new Array();
}

Struct.prototype.root = function(data)
{
	this.m_root = data;
}

Struct.prototype.rootItem = function()
{
	return this.m_root;
}

Struct.prototype.add = function(data)
{
	data["status"] = (data["href"] != "") ? "N" : "X";
	this.m_list[this.m_list.length] = data;
}

Struct.prototype.firstItem = function()
{
	return this.m_list[0];
}

Struct.prototype.getNextItem = function(gix)
{
	for (var i = 0; i < this.m_list.length; i++) {
		if (gix == this.m_list[i]["gix"] && i < this.m_list.length) {
			return this.m_list[i + 1];
		}
	}
	return null;
}

Struct.prototype.getPreviousItem = function(gix)
{
	for (var i = 0; i < this.m_list.length; i++) {
		if (gix == this.m_list[i]["gix"] && i > 0) {
			return this.m_list[i - 1];
		}
	}
	return null;
}

Struct.prototype.findItem = function(gix)
{
	for (var i = 0; i < this.m_list.length; i++) {
		if (gix == this.m_list[i]["gix"]) {
			return this.m_list[i];
		}
	}
	return null;
}

Struct.prototype.findItemByParent = function(index)
{
	for (var i = 0; i < this.m_list.length; i++) {
		if (index == this.m_list[i]["index"]) {
			return this.m_list[i];
		}
	}
	return null;
}

Struct.prototype.isFirstItem = function(gix)
{

}

Struct.prototype.isLastItem = function(gix)
{

};

Struct.prototype.item = function(index)
{
	return this.m_list[index];
}

Struct.prototype.length = function(index)
{
	return this.m_list.length;
}

Struct.prototype.getVisibleItemsCount = function()
{
	var count = 0;
	for (var i = 0; i < this.length(); i++) {
		if (this.m_list[i]["visible"] == "1") count++;
	}
	return count;
}

Struct.prototype.getVisibleItemsIndex = function(gix)
{
	var index = 0;
	for (var i = 0; i < this.length(); i++) {
		if (this.m_list[i]["visible"] == "1") index++;
		if (this.m_list[i]["gix"] == gix) return index;
	}
	return index;
}

Struct.prototype.getColToString = function(colName)
{
	var result = new Array();
	for (var i = 0; i < this.m_list.length; i++) {
		result[result.length] = this.m_list[i][colName];
	}
	return result.toString();
}

Struct.prototype.setColFromString = function(colName, v)
{
	var arr = v.split(",");
	for (var i = 0; i < arr.length; i++) {
		this.m_list[i][colName] = arr[i];
	}
}

struct = new Struct();
