
/**
 * Update for IE5
 */

function fnArrayPop()
{
  var response = this[this.length - 1]
  this.length--
  return response
}

if (typeof(Array.prototype.pop) == "undefined") {
  Array.prototype.pop = fnArrayPop;
}

function fnArrayPush() {
  var A_p = 0
  for (A_p = 0; A_p < arguments.length; A_p++) {
    this[this.length] = arguments[A_p]
  }
  return this.length;
}

if (typeof Array.prototype.push == "undefined") {
  Array.prototype.push = fnArrayPush;
}

/**
 * NN4 Tools
 */

function getFormNS4(name, obj)
{
	for (var i = 0; i < obj.forms.length; i++) {
		if (obj.forms[i].name == name) return obj.forms[i];
	}
	for (var i = 0; i < obj.layers.length; i++) {
		var res = getFormNS4(name, obj.layers[i].document);
		if (res) return res;
	}
	return null;
}

function getObjNS4(obj,name)
{
	var x = obj.layers;
	var foundLayer;
  
	for (var i = 0; i < x.length; i++) {
		if (x[i].id == name)
			foundLayer = x[i];
		else if (x[i].layers.length)
			var tmp = getObjNS4(x[i],name);
		if (tmp) foundLayer = tmp;
	}
	return foundLayer;
}


function getForm(name)
{
	if (is.ns4) {
		return getFormNS4(name, document);
	} else {
		return document.forms[name];
	}
}

/**
 * Cookie Class
 */
 
function Cookie()
{
	this.get = function (nameOfCookie, doc)
	{
		if (typeof(doc) == "undefined") doc = document;
		
		if (doc.cookie.length > 0) { 
			var begin = -1;
			var code = '';
			code += (is.ns4) ? '' : 'try {';
			code += 'begin = doc.cookie.indexOf("' + nameOfCookie + '=");';
			code += (is.ns4) ? '' : '} catch(e) {}';
			eval(code);
			if (begin != -1) { 
				begin += nameOfCookie.length+1; 
				var end = doc.cookie.indexOf(";", begin);
				if (end == -1) end = doc.cookie.length;
				return unescape(doc.cookie.substring(begin, end));
			} 
		}
		return null; 
	} 

	this.set = function (nameOfCookie, value, expiredays, doc) 
	{
		if (typeof(doc) == "undefined") doc = document;

		var ExpireDate = new Date ();
		ExpireDate.setTime(ExpireDate.getTime() + (expiredays * 24 * 3600 * 1000));
		var code = '';
		code += (is.ns4) ? '' : 'try {';
		code += 'doc.cookie = "' + nameOfCookie + '=' + escape(value) + ((expiredays == null) ? '' : '; expires=' + ExpireDate.toGMTString()) + '"';
		code += (is.ns4) ? '' : '} catch(e) {}';
		eval(code);
	}

	this.remove = function (nameOfCookie, doc)
	{
		if (typeof(doc) == "undefined") doc = document;

		if (this.get(nameOfCookie)) {
			var code = '';
			code += (is.ns4) ? '' : 'try {';
			code += 'doc.cookie = "' + nameOfCookie + '=' + '; expires=Thu, 01-Jan-70 00:00:01 GMT"';
			code += (is.ns4) ? '' : '} catch(e) {}';
			eval(code);
		}
	} 
}

cookie = new Cookie();

//--

function getTopCommandUrl(name)
{
	var r = '';
	try {
		name = name.toLowerCase();
		sArgs = top.location.search.slice(1).split('&');
		for (var i = 0; i < sArgs.length; i++) {
			keyName = sArgs[i].slice(0, sArgs[i].indexOf('=')).toLowerCase();
			if (keyName == name) {
				r = sArgs[i].slice(sArgs[i].indexOf('=') + 1);
				break;
			}
		}
	} catch(e) {
		log.error(e + " : getTopCommandUrl name=" + name + "");
	}	
	return r;
}

//Detect ActiveX Architecture on Both IE and on Gecko
//Defer to plugin architecture for other browsers

var wmp64 = "{22D6F312-B0F6-11D0-94AB-0080C74C7E95}";
var wmp64Str = "MediaPlayer.MediaPlayer.1";
var wmp7_10 = "{6BF52A52-394A-11d3-B153-00C04F79FAA6}";
var wmp7_10Str = "WMPlayer.OCX.7";
	
function testForWMP() {
	var player;
	var plugin;
	var hasActiveX=false;
	
	try {
		if (window.ActiveXObject) {
			hasActiveX = true;
			player = new ActiveXObject("WMPlayer.OCX.7");
		} else if (window.GeckoActiveXObject) {
			hasActiveX = true;
			player = new GeckoActiveXObject("WMPlayer.OCX.7");
		}
	} catch (oError) { }
	
	try {
		if (navigator.mimeTypes) {
			plugin = navigator.mimeTypes['application/x-mplayer2'].enabledPlugin;
		}
	} catch (oError) { }
	
/*	var message = "Your browser "+ (hasActiveX ? "does" : " does not") +" support ActiveX. \n"
	message +=  "The Windows Media Player ActiveX control is"+ ( player ? "" : " not") +" installed. \n";
	message += "The Windows Media Plugin "+ (plugin ? "is installed" : "is not necessary for IE") + "\n";
	alert(message);	
*/
	return hasActiveX;
}

function createActiveXObject(id) {
	var error;
	var control = null;
	
	try {
		if (window.ActiveXObject) {
			control = new ActiveXObject(id);
		} else if (window.GeckoActiveXObject) {
			control = new GeckoActiveXObject(id);
		}
	} catch (error) { }
	return control;
}

function detectWMP() {
	var wmpInfo = {
		installed: false,
		scriptable: false,
		type: null,
		versionInfo: null
	};
	
	var wmp64 = "MediaPlayer.MediaPlayer.1";
	var wmp7 = "WMPlayer.OCX.7";
	
	if ((window.ActiveXObject && navigator.userAgent.indexOf('Windows') != -1) 
		|| window.GeckoActiveXObject) {
		wmpInfo.type = "ActiveX";
		var player = createActiveXObject(wmp7);
		if (player) {
			wmpInfo.installed = true;
			wmpInfo.scriptable = true;
			wmpInfo.versionInfo = player.versionInfo;
			return wmpInfo;
		} else {
			player = createActiveXObject(wmp64);
			if (player) {
				wmpInfo.installed = true;
				wmpInfo.scriptable = true;
				wmpInfo.versionInfo = "6.4";
				return wmpInfo;
			} else {
				wmpInfo.versionInfo = "none";
				return wmpInfo;
			}
		}
	} else if (navigator.mimeTypes) {
		wmpInfo.type = "NetscapePlugin";
		var player = navigator.mimeTypes['application/x-mplayer2'].enabledPlugin;
		if (player) {
			wmpInfo.installed = true;
			//wmpInfo.scriptable = false;
			wmpInfo.versionInfo = "PluginVersion";
			return wmpInfo;
		}
		return wmpInfo;
	}
}

function geckoActiveXInstaled () {
	if (navigator.plugins && navigator.plugins.length) {
		for (x=0; x<navigator.plugins.length; x++) {
			if (navigator.plugins[x].name.indexOf('ActiveX') != -1 && window.GeckoActiveXObject) {
				return true;
				break;
			}
		}
	}
	return false;
}

function printResults() {
	var detectionResults = detectWMP();

	var message = "Browser architecture supports: " + detectionResults.type + "\n";
	message += "Windows Media Player Installed: " + detectionResults.installed + "\n";
	if (detectionResults.installed) {
		message += "Windows Media Scriptable: " + detectionResults.scriptable + "\n";
		message += "Windows Media Version: " + detectionResults.versionInfo + "\n";
	}
	alert(message);	
}
