/*
 *
 * Copyright (C) 2003,2004 by 4system Polska Sp. z o.o.
 * All Rights Reserved.
 *
 * $Id: mouseevent.js,v 1.6 2004/12/09 15:45:21 s.domanski Exp $
 *
 */

WBTMouseEvent = function()
{ 
	this.objmousedown = null;

	//Drag & Drop
	this.isDragging = false;
	this.elementToDrag = null;
	this._lastX = null;
	this._lastY = null;  
}

var isDragging = false;
var elementToDrag = null;
var _corX = null;
var _corY = null;

WBTMouseEvent.prototype.eventMethod = function(e)
{ 
	//uchwycenie obiektu event
	//obiekt jest w e
	if (is.def) {
		if (is.ie) {
			var e = event
		}
		e.cancelBubble = true;
		if (e.stopPropagation) e.stopPropagation();
	} 

	//ustalenie pozycji kursora
	if(is.ns4) {
    		var cursorX = e.pageX;
    		var cursorY = e.pageY;
  	} else if (is.moz) { //sd 2004-12-08 18:28
    		var cursorX = e.pageX;
    		var cursorY = e.pageY;  
  	} else {
//    var cursorX = e.clientX;
//    var cursorY = e.clientY;
    		var cursorX = e.x;
    		var cursorY = e.y;
  	}

	if (!isDragging) {
		//uchwycenie obiektu html znim zwiazanego
		//obiekt jest w rsrc	
		if (is.def) {
			var rsrc = ( is.ie ) ? e.srcElement : e.target;
		} else {
			if (is.ns4) var rsrc = e.target;
		}
		if (!rsrc) return false; 
		//do el uchwyt obiektu WBTElement lub pochodny	
		el = rsrc.owner;	
		if (!el) return;
		//szukamy wbtelementu  
		var wbtelem = el;
		if (!el.stopPropagation) {
			while(wbtelem.parent.type != page.type) {
				wbtelem = wbtelem.parent; 
			}
		}
	}

	if (e.type == "mousedown" ) {  
		// Element mozna przesunac, wiec zacznij D&D
		if (!el.stopPropagation && (el.canDragging || el.parent.canDragging)) {
			isDragging = true;
			elementToDrag = (el.canDragging) ? el:el.parent;
			if (elementToDrag.beginDrag) {
				elementToDrag.beginDrag();
			} 
//      _corX = (is.ns4?e.pageX:e.clientX) - elementToDrag.x;
//      _corY = (is.ns4?e.pageY:e.clientY) - elementToDrag.y;
//			_corX = (is.ns4?e.pageX:e.x) - elementToDrag.x;
//			_corY = (is.ns4?e.pageY:e.y) - elementToDrag.y;
      			if (is.ns4) {
      				_corX = e.pageX - elementToDrag.x;
        			_corY = e.pageY - elementToDrag.y;
      			} else if (is.moz) { //sd 2004-12-08 18:28
      				_corX = e.pageX - elementToDrag.x;
        			_corY = e.pageY - elementToDrag.y;
      			} else {
      				_corX = e.x - elementToDrag.x;
        			_corY = e.y - elementToDrag.y;
      			}
			if (is.ns4) document.captureEvents( Event.MOUSEMOVE );
			document.onmousemove = mouseEvent.drag;
		} else {
     			if (is.moz) el.eventMouseDown(null); //przeciwdziala niekontrolowanemu blokowaniu sie elementow
     			else el.eventMouseDown(e);
			mouseEvent.objmousedown = wbtelem;
		}
	}  // END: e.type == "mousedown"

	else if (e.type == "mouseup") {
		if (isDragging) {
			// Element jest w trakcie przesuwania, wiec zakoncz D&D
			document.onmousemove = null;
			isDragging = false;
			_corX = 0;
			_corY = 0;
			// Powiedz wszystkim DDBasketom, ze nastapil koniec D&D, 
			// jesli moga, to nich z tym cos zrobia.
//			var docCurX = document.body.scrollLeft + e.x;
//			var docCurY = document.body.scrollTop + e.y;
      			if (is.ns4 || is.moz) { //sd 2004-12-08 18:28
      				var docCurX = document.body.scrollLeft + e.pageX;
      				var docCurY = document.body.scrollTop + e.pageY;
      			} else {
      				var docCurX = document.body.scrollLeft + e.x;
      				var docCurY = document.body.scrollTop + e.y;
      			}

			var dropObj = null;
			for (var i = 0; i < page.children.length; i++) {
				var child = page.children[i];
				if (docCurX >= child.x && docCurX <= child.x + child.w &&
						docCurY >= child.y && docCurY <= child.y + child.h &&
						child.id != elementToDrag.id && child.dockSite) {
					if (!dropObj || (dropObj && child.z >= dropObj.z)) {
						dropObj = child;
					}
				}  
			}  

			if (elementToDrag.endDrag && elementToDrag.endDrag(dropObj)) {
				if (dropObj) dropObj.ddeDrop(elementToDrag);
			}

			el.eventMouseUp(e);
      
//      var eventRes =  elementToDrag.invokeEventForAllObj( page.children, 'Drop', elementToDrag );
      
      
      // Jesli DDElementu nie przyjal zaden DDBasket,
      // to jesli trzeba ustaw go na pozycje startowa.

      
//      if( !eventRes && elementToDrag.backToStart )
//        elementToDrag.moveTo( elementToDrag._startX, elementToDrag._startY );     
//      elementToDrag = null;
      
		} else {
			el.eventMouseUp(e);
			if (mouseEvent.objmousedown == wbtelem) {
				el.eventClick(e);
			}  
			mouseEvent.objmousedown = null;
		}
	}  // END: e.type == "mouseup"
	else if(e.type == "mouseover") el.eventMouseOver(e);
	else if(e.type == "mouseout") el.eventMouseOut(e);
	else if(e.type == "dblclick") el.eventDblClick(e);

  	if (is.moz) return false; //sd 2004-12-08 18:28	
	return /*false;*/ true;
}

WBTMouseEvent.prototype.drag = function(e)
{
  if (is.ie) 
    var e = event;
    
  if(is.ns4) {
    var cursorX = e.pageX;
    var cursorY = e.pageY;
  } else if (is.moz) { //sd 2004-12-08 18:28
    var cursorX = e.pageX;
    var cursorY = e.pageY;  
  } else {
//    var cursorX = e.clientX;
//    var cursorY = e.clientY;
    var cursorX = e.x;
    var cursorY = e.y;
  }

  var posX = (cursorX < 0 ? 0:(cursorX > page.pageWidth ? page.pageWidth:cursorX));
  var posY = (cursorY < 0 ? 0:(cursorY > page.pageHeight ? page.pageHeight:cursorY));
  
  var elX = posX - _corX;
  var elY = posY - _corY; 
    
  if(elementToDrag.calcPosX)
    elX = elementToDrag.calcPosX(elX);
  if(elementToDrag.calcPosY)
    elY = elementToDrag.calcPosY(elY);
  
  elementToDrag.moveTo(elX, elY);
  _lastX = posX;
  _lastY = posY;
  
  if(is.moz)
    mouseEvent.wait();
 
  return false;
}

WBTMouseEvent.prototype.wait = function()
{
  var len = window.status.length;
  if( window.status.substr( ( len - 1 ), 1 ) == " " )
    window.status = window.status.substring(0, len - 1 );
  window.status = window.status + " ";
}

var mouseEvent = new WBTMouseEvent();
